Skip to main content
The Pacifica Python SDK provides a comprehensive example on using this endpoint.

Operation Type (for Signing)

Request Body

FieldTypeNeedDescriptionExample
”account”stringrequiredUser’s wallet address42trU9A5…
“signature”stringrequiredCryptographic signature5j1Vy9Uq…
“timestamp”integerrequiredCurrent timestamp in milliseconds1716200000000
”symbol”stringrequiredTrading pair symbolBTC
”price”stringrequiredOrder price50000
”amount”stringrequiredOrder amount0.1
”side”stringrequiredOrder side (bid/ask)bid
”tif”stringrequiredTime in force (GTC, IOC, ALO, TOB; case-insensitive)GTC
”reduce_only”booleanrequiredWhether the order is reduce-onlyfalse
”client_order_id”Full UUID stringoptionalClient-defined order IDf47ac10b-58cc-4372-a567-0e02b2c3d479
”take_profit”objectoptionalTake profit stop order configurationSee next five rows
”stop_price”stringrequiredStop trigger price55000
”limit_price”stringoptionalLimit price for the triggered order54950
”client_order_id”Full UUID stringoptionalClient-defined order ID for the stop ordere36ac10b-58cc-4372-a567-0e02b2c3d479
”trigger_price_type”stringoptionalPrice type used to trigger the stop order. Defaults to last_trade_price. Options: mark_price, last_trade_price, mid_pricemark_price
”amount”stringoptionalOrder amount for the triggered order. If omitted, the full position size is used0.1
”stop_loss”objectoptionalStop loss order configurationSee next five rows
”stop_price”stringrequiredStop trigger price48000
”limit_price”stringoptionalLimit price for the triggered order47950
”client_order_id”Full UUID stringoptionalClient-defined order ID for the stop orderd25ac10b-58cc-4372-a567-0e02b2c3d479
”trigger_price_type”stringoptionalPrice type used to trigger the stop order. Defaults to last_trade_price. Options: mark_price, last_trade_price, mid_pricemark_price
”amount”stringoptionalOrder amount for the triggered order. If omitted, the full position size is used0.1
”agent_wallet”stringoptionalAgent wallet address69trU9A5…
“expiry_window”integeroptionalSignature expiry in milliseconds30000
”builder_code”stringoptionalBuilder program code (3-16 alphanumeric characters)MYCODE

Response

  • Status 200: Order created successfully
  • Status 400: Bad request
  • Status 500: Internal server error

Code Example (Python)

Note: In order to protect liquidity providers from adverse selection, all TIF GTC, and TIF IOC orders are subject to a ~200ms delay.